Bug 119035 - grep -r shouldn't open fifos?
grep -r shouldn't open fifos?
Status: CLOSED UPSTREAM
Product: Red Hat Linux
Classification: Retired
Component: grep (Show other bugs)
9
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Tim Waugh
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-23 22:39 EST by Christopher Beland
Modified: 2007-04-18 13:04 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-24 04:42:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christopher Beland 2004-03-23 22:39:56 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5)
Gecko/20031017 Galeon/1.3.13

Description of problem:
I wanted to see if a certain string existed in any file on my
computer, so I ran "grep -r" on /home and /usr/ and /var and so on. 
At a certain point, grep hung without explanation.  "strace" reveals
that it is hanging trying to read, for example, /var/lib/gdm/.gdmfifo,
which is a FIFO, not a regular file.

The person who helped me figure this out thought that it was not good
that "grep -r" should try to read FIFOs, as that is not the expected
behavior (at least for us).  So I thought I'd report this as a bug and
let people more clueful than I mull it over.

Version-Release number of selected component (if applicable):
grep-2.5.1-7.8

How reproducible:
Always

Steps to Reproduce:
"grep -r xxx /var" or any tree with a FIFO in it

Additional info:

Note You need to log in before you can comment on or make changes to this bug.